# Batch Service Interface

This module provides an abstract class and interface and design pattern to make
it easier to write batch processing for Drupal 8 that leverage the service
injection system provided by Symfony.

Developers can create a service that can be used to generate and execute a
batch process that has easy access to translation, logging, and any other
services from the service container as needed.

It is meant both to be useful, and to encourage discussion of better ways to
support batches in Drupal 8 and beyond.

## Requirements

This module requires no modules outside of Drupal core.

## Installation

Install as you would normally install a contributed Drupal module. For further information, see [Installing Drupal Modules](https://www.drupal.org/docs/extending-drupal/installing-drupal-modules).

## Configuration

1. Enable the module at Administration > Extend.
1. In a custom module, create a service which:
  - Extends Drupal\batch_service_interface\AbstractBatchService OR,
  - Implements Drupal\batch_service_interface\BatchServiceInterface
1. Trigger the batch as appropriate from a form or otherwise.

